TEMPLATE = lib

OBJECTS_DIR = obj

include(CMSIS/CMSIS.pri)
include(USB/USB.pri)
include(STM32F4xx_StdPeriph_Driver/STM32F4xx_StdPeriph_Driver.pri)

UCMODEL=stm32f4

prifile.files = cpu.pri stm32_flash.ld startup.s cpuinit.c fs.c syscalls.c
prifile.path = $$[QT_INSTALL_PREFIX]/mkspecs/features/$$UCMODEL

INCLUDEPATH += ../../includes \	
	STM32F4xx_StdPeriph_Driver/inc \
	CMSIS/Include

SOURCES += cpu.c

CMSISHEADERS.path = $$[QT_INSTALL_HEADERS]/STM32F4xx_CMSIS
STLIBHEADERS.path = $$[QT_INSTALL_HEADERS]/STM32F4xx_StdPeriph_Driver

target.path = $$[QT_INSTALL_LIBS]/$$UCMODEL
INSTALLS += target CMSISHEADERS STLIBHEADERS prifile











